Bug 908090 - Review Request: xgraph - XGraph with animation
Review Request: xgraph - XGraph with animation
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ascend
  Show dependency treegraph
 
Reported: 2013-02-05 15:42 EST by Antonio Trande
Modified: 2013-04-02 09:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-02 09:28:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Antonio Trande 2013-02-05 15:42:16 EST
Spec URL: http://sagitter.fedorapeople.org/xgraph/xgraph.spec
SRPM URL: http://sagitter.fedorapeople.org/xgraph/xgraph-12.1-2.fc18.src.rpm

Description: XGraph with animation is a modification of the popular XGraph plotting program written by David Harrison at UC Berkeley. It does animation of
data sets, supports zooming regions with a mouse and taking numerical
derivatives.

Fedora Account System Username: sagitter
Comment 1 Antonio Trande 2013-02-05 17:16:32 EST
Koji build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4931204
Comment 2 Michael Schwendt 2013-02-05 17:40:47 EST
> http://kojipkgs.fedoraproject.org//work/tasks/1205/4931205/build.log

> gcc -DHAVE_CONFIG_H -I.       -Wall -g    -MT xgraph.o -MD -MP -MF
> .deps/xgraph.Tpo -c -o xgraph.o xgraph.c

Can you make it build with global %optflags?


> warning: operation on 'param_temp_ptr' may be undefined
> warning: cast from pointer to integer of different size

Many times. Scary. I just realized the software is from 1999, Debian's patch is >200K already, so I had to comment on this. ;-)

http://bugs.debian.org/cgi-bin/pkgreport.cgi?pkg=xgraph;dist=unstable
Comment 3 Antonio Trande 2013-02-06 10:19:13 EST
Hi Michael.

(In reply to comment #2)
> > http://kojipkgs.fedoraproject.org//work/tasks/1205/4931205/build.log
> 
> > gcc -DHAVE_CONFIG_H -I.       -Wall -g    -MT xgraph.o -MD -MP -MF
> > .deps/xgraph.Tpo -c -o xgraph.o xgraph.c
> 
> Can you make it build with global %optflags?
> 

make fails:

...
configure: creating ./config.status
config.status: creating Makefile
config.status: creating autoconf.h
config.status: executing depfiles commands
+ export CFLAGS=-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic
+ CFLAGS=-O2
/var/tmp/rpm-tmp.domHUw: line 51: export: `-g': not a valid identifier
/var/tmp/rpm-tmp.domHUw: line 51: export: `-pipe': not a valid identifier
/var/tmp/rpm-tmp.domHUw: line 51: export: `-Wall': not a valid identifier
/var/tmp/rpm-tmp.domHUw: line 51: export: `-Wp,-D_FORTIFY_SOURCE=2': not a valid identifier
/var/tmp/rpm-tmp.domHUw: line 51: export: `-fexceptions': not a valid identifier
/var/tmp/rpm-tmp.domHUw: line 51: export: `-fstack-protector': not a valid identifier
/var/tmp/rpm-tmp.domHUw: line 51: export: `--param=ssp-buffer-size=4': not a valid identifier
/var/tmp/rpm-tmp.domHUw: line 51: export: `-m64': not a valid identifier
/var/tmp/rpm-tmp.domHUw: line 51: export: `-mtune=generic': not a valid identifier
error: Bad exit status from /var/tmp/rpm-tmp.domHUw (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.domHUw (%build)
Comment 4 Antonio Trande 2013-02-06 10:45:59 EST
(In reply to comment #3)
> Hi Michael.
> 
> (In reply to comment #2)
> > > http://kojipkgs.fedoraproject.org//work/tasks/1205/4931205/build.log
> > 
> > > gcc -DHAVE_CONFIG_H -I.       -Wall -g    -MT xgraph.o -MD -MP -MF
> > > .deps/xgraph.Tpo -c -o xgraph.o xgraph.c
> > 
> > Can you make it build with global %optflags?
> > 
> 
> make fails:

No, I'm wrong. :P

http://koji.fedoraproject.org/koji/taskinfo?taskID=4933428
Comment 5 Susi Lehtola 2013-02-11 14:40:01 EST
Does it work with
 make install DESTDIR=%{buildroot}
instead of %makeinstall?
https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Why_the_.25makeinstall_macro_should_not_be_used
Comment 6 Michael Schwendt 2013-02-12 03:51:15 EST
> %make_install DESTDIR=$RPM_BUILD_ROOT

Probably there's some confusion. Using %make_install is okay. It's mentioned in those guidelines, too. With it, appending DESTDIR=… is not necessary, however. Check out: rpm --eval %make_install
Comment 8 Antonio Trande 2013-04-02 09:28:23 EDT
I agree with (ascend) upstream maintainer to don't include xgraph as Ascend dependency because it is a very old software not essential for Ascend use.

I leave .spec/src rpm available anyway.

Note You need to log in before you can comment on or make changes to this bug.